ARMAtoMA                package:stats                R Documentation

Convert ARMA Process to Infinite MA Process

Description:

     Convert ARMA process to infinite MA process.

Usage:

     ARMAtoMA(ar = numeric(0), ma = numeric(0), lag.max)

Arguments:

      ar: numeric vector of AR coefficients

      ma: numeric vector of MA coefficients

 lag.max: Largest MA(Inf) coefficient required.

Value:

     A vector of coefficients.

References:

     Brockwell, P. J. and Davis, R. A. (1991) _Time Series: Theory and
     Methods_, Second Edition.  Springer.

See Also:

     'arima', 'ARMAacf'.

Examples:

     ARMAtoMA(c(1.0, -0.25), 1.0, 10)
     ## Example from Brockwell & Davis (1991, p.92)
     ## answer (1 + 3*n)*2^(-n)
     n <- 1:10; (1 + 3*n)*2^(-n)

